/*
 * NoCoincideLongitudoTipoCampoAlfanumericoNumericoObligatorioDependiente.java
 *
 * Created on 20 de marzo de 2007, 11:13 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 
 * @author Julian
 */
public class NoCoincideLongitudoTipoCampoAlfanumericoNumericoObligatorioDependienteAS
		extends AbstractRule {

	private Pattern pattern;

	public NoCoincideLongitudoTipoCampoAlfanumericoNumericoObligatorioDependienteAS() {
		String patternStr = "[^A-Z0-9/Ñ]";
		pattern = Pattern.compile(patternStr);

	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		if (registro[new Integer((String) getParams()[0]).intValue()]
				.equals(getParams()[1])) {
			if (field.length() < new Integer((String) getParams()[2])
					.intValue()
					|| field.length() > new Integer((String) getParams()[3])
							.intValue())
				return true;

			if (!registro[new Integer((String) getParams()[4]).intValue()]
					.equals(getParams()[5])) {
				return true;
			}
			Matcher matcher = pattern.matcher(field);
			return matcher.find();

		}

		return false;
	}

}
